use AdventureWorks2012
GO

--

select * from Production.TransactionHistoryArchive
order by TransactionID

--suppose you know the transaction id from where you want to start retrieving...

SELECT
	[TransactionID],
	[ProductID],
	[ReferenceOrderID],
	[ReferenceOrderLineID],
	[TransactionDate],
	[TransactionType],
	[Quantity],
	[ActualCost],
	[ModifiedDate]
FROM [Production].[TransactionHistoryArchive]
ORDER BY [TransactionID]
OFFSET 5001 ROWS FETCH NEXT 100 ROWS ONLY


-- use the old technique

SELECT
	[TransactionID],
	[ProductID],
	[ReferenceOrderID],
	[ReferenceOrderLineID],
	[TransactionDate],
	[TransactionType],
	[Quantity],
	[ActualCost],
	[ModifiedDate]
FROM [Production].[TransactionHistoryArchive]
where TransactionID between 5001 And 5100
ORDER BY [TransactionID]



